Fedora 28 : qt5-qtwebengine (2018-b844991a97)

high Nessus Plugin ID 120733

Language:

New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote Fedora host is missing a security update.

Description

A QtWebEngine security update backporting security fixes from Chromium 65 (up to 65.0.3325.146). (The backports have been forward-ported from QtWebEngine 5.9.5 LTS.)

This update fixes the following security issues :

- CVE-2017-15429

- CVE-2018-6033 (claimed fixed in 5.10.1, but the fix was incomplete and had no effect; this update adds the missing part to make the fix effective)

- CVE-2018-6060

- CVE-2018-6062

- CVE-2018-6064

- CVE-2018-6069

- CVE-2018-6071

- CVE-2018-6073

- CVE-2018-6076

- CVE-2018-6079

- CVE-2018-6081

- CVE-2018-6082

- Chromium (security) Bug 770734

- Chromium (security) Bug 774833

- Chromium (security) Bug 798410

- Chromium (security) Bug 789764

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora update system website.
Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected qt5-qtwebengine package.

See Also

https://bodhi.fedoraproject.org/updates/FEDORA-2018-b844991a97

Plugin Details

Severity: High

ID: 120733

File Name: fedora_2018-b844991a97.nasl

Version: 1.5

Type: local

Agent: unix

Published: 1/3/2019

Updated: 1/6/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5.3

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: E:POC/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 7.9

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:qt5-qtwebengine, cpe:/o:fedoraproject:fedora:28

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 3/26/2018

Vulnerability Publication Date: 8/28/2018

Reference Information

CVE: CVE-2017-15429, CVE-2018-6033, CVE-2018-6060, CVE-2018-6062, CVE-2018-6064, CVE-2018-6069, CVE-2018-6071, CVE-2018-6073, CVE-2018-6076, CVE-2018-6079, CVE-2018-6081, CVE-2018-6082